<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
    <xs:element name="DNS"> 
     <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="DNSClearHost" minOccurs="0">
          <xs:complexType>
           <xs:choice maxOccurs="unbounded">
            <xs:element name="ClearHost" minOccurs="0" maxOccurs="unbounded">
            <xs:complexType>
            <xs:all>
              <xs:element name="VRF" minOccurs="0" nillable="true">
                <xs:complexType>
                 <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:minLength value="0"></xs:minLength>
                      <xs:maxLength value="31"></xs:maxLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
             </xs:element>
              <xs:element name="Type" minOccurs="0" nillable="true">
                <xs:complexType>
                 <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">                        
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
             </xs:element>
            <xs:element name="QueryType" minOccurs="0" nillable="true">
                <xs:complexType>
                 <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                      <xs:enumeration value="3"/>
                      <xs:enumeration value="4"/>                      
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
             </xs:element>
            </xs:all>
           <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup> 
          </xs:complexType>
          </xs:element>
          </xs:choice>
          </xs:complexType>
      </xs:element>
      </xs:choice>
     </xs:complexType>
    </xs:element>
</xs:schema>  